Subject: Re: bug#16285: 24.3.50; [PATCH] shr: handle <a> tag with blank error.

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 05 Jan 2014 10:48:18 +0100

Kenjiro NAKAYAMA <[email-masked]> writes:

>           * net/eww.el (shr-descend): Handle <a> tag with blank error.

I've now fixed this in a different manner.  Your patch would have bugged
out if the empty anchor was the first element in the buffer, so I just
made it insert a "*" if we have an empty anchor.

The anchoring mechanism should perhaps be implemented in a different
way -- markers instead of text properties, for instance?  That way
zero-length anchors would be no problem.  Rewriting it in that way
should probably wait until after the feature freeze, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no